<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Reader\Xls\Escher</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method___construct" title="__construct ::Create a new Escher instance.">
            <span class="description">Create a new Escher instance.</span><pre>__construct</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_load" title="load ::Load Escher stream data. May be a partial Escher stream.">
            <span class="description">Load Escher stream data. May be a partial Escher stream.</span><pre>load</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>                        <li class="methodprivate">
                            <a href="#method_readBlipJPEG" title="readBlipJPEG ::Read BlipJPEG record. Holds raw JPEG image data.">
                                <span class="description">Read BlipJPEG record. Holds raw JPEG image data.</span><pre>readBlipJPEG</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_readBlipPNG" title="readBlipPNG ::Read BlipPNG record. Holds raw PNG image data.">
                                <span class="description">Read BlipPNG record. Holds raw PNG image data.</span><pre>readBlipPNG</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_readBSE" title="readBSE ::Read BSE record.">
                                <span class="description">Read BSE record.</span><pre>readBSE</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_readBstoreContainer" title="readBstoreContainer ::Read BstoreContainer record (Blip Store Container).">
                                <span class="description">Read BstoreContainer record (Blip Store Container).</span><pre>readBstoreContainer</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_readClientAnchor" title="readClientAnchor ::Read ClientAnchor record. This record holds information about where the shape is anchored in worksheet.">
                                <span class="description">Read ClientAnchor record. This record holds information about where the shape is anchored in worksheet.</span><pre>readClientAnchor</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_readClientData" title="readClientData ::Read ClientData record.">
                                <span class="description">Read ClientData record.</span><pre>readClientData</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_readClientTextbox" title="readClientTextbox ::Read ClientTextbox record.">
                                <span class="description">Read ClientTextbox record.</span><pre>readClientTextbox</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_readDefault" title="readDefault ::Read a generic record.">
                                <span class="description">Read a generic record.</span><pre>readDefault</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_readDg" title="readDg ::Read Dg record (Drawing).">
                                <span class="description">Read Dg record (Drawing).</span><pre>readDg</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_readDgContainer" title="readDgContainer ::Read DgContainer record (Drawing Container).">
                                <span class="description">Read DgContainer record (Drawing Container).</span><pre>readDgContainer</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_readDgg" title="readDgg ::Read Dgg record (Drawing Group).">
                                <span class="description">Read Dgg record (Drawing Group).</span><pre>readDgg</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_readDggContainer" title="readDggContainer ::Read DggContainer record (Drawing Group Container).">
                                <span class="description">Read DggContainer record (Drawing Group Container).</span><pre>readDggContainer</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_readOfficeArtRGFOPTE" title="readOfficeArtRGFOPTE ::Read OfficeArtRGFOPTE table of property-value pairs.">
                                <span class="description">Read OfficeArtRGFOPTE table of property-value pairs.</span><pre>readOfficeArtRGFOPTE</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_readOPT" title="readOPT ::Read OPT record. This record may occur within DggContainer record or SpContainer.">
                                <span class="description">Read OPT record. This record may occur within DggContainer record or SpContainer.</span><pre>readOPT</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_readSp" title="readSp ::Read Sp record (Shape).">
                                <span class="description">Read Sp record (Shape).</span><pre>readSp</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_readSpContainer" title="readSpContainer ::Read SpContainer record (Shape Container).">
                                <span class="description">Read SpContainer record (Shape Container).</span><pre>readSpContainer</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_readSpgr" title="readSpgr ::Read Spgr record (Shape Group).">
                                <span class="description">Read Spgr record (Shape Group).</span><pre>readSpgr</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_readSpgrContainer" title="readSpgrContainer ::Read SpgrContainer record (Shape Group Container).">
                                <span class="description">Read SpgrContainer record (Shape Group Container).</span><pre>readSpgrContainer</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_readSplitMenuColors" title="readSplitMenuColors ::Read SplitMenuColors record.">
                                <span class="description">Read SplitMenuColors record.</span><pre>readSplitMenuColors</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_readTertiaryOPT" title="readTertiaryOPT ::Read TertiaryOPT record.">
                                <span class="description">Read TertiaryOPT record.</span><pre>readTertiaryOPT</pre>
                            </a>
                        </li>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>                <li class="constant">
                    <a href="#constant_BLIPJPEG" title="BLIPJPEG ::">
                        <span class="description"></span><pre>BLIPJPEG</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_BLIPPNG" title="BLIPPNG ::">
                        <span class="description"></span><pre>BLIPPNG</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_BSE" title="BSE ::">
                        <span class="description"></span><pre>BSE</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_BSTORECONTAINER" title="BSTORECONTAINER ::">
                        <span class="description"></span><pre>BSTORECONTAINER</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_CLIENTANCHOR" title="CLIENTANCHOR ::">
                        <span class="description"></span><pre>CLIENTANCHOR</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_CLIENTDATA" title="CLIENTDATA ::">
                        <span class="description"></span><pre>CLIENTDATA</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_CLIENTTEXTBOX" title="CLIENTTEXTBOX ::">
                        <span class="description"></span><pre>CLIENTTEXTBOX</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_DG" title="DG ::">
                        <span class="description"></span><pre>DG</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_DGCONTAINER" title="DGCONTAINER ::">
                        <span class="description"></span><pre>DGCONTAINER</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_DGG" title="DGG ::">
                        <span class="description"></span><pre>DGG</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_DGGCONTAINER" title="DGGCONTAINER ::">
                        <span class="description"></span><pre>DGGCONTAINER</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_OPT" title="OPT ::">
                        <span class="description"></span><pre>OPT</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_SP" title="SP ::">
                        <span class="description"></span><pre>SP</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_SPCONTAINER" title="SPCONTAINER ::">
                        <span class="description"></span><pre>SPCONTAINER</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_SPGR" title="SPGR ::">
                        <span class="description"></span><pre>SPGR</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_SPGRCONTAINER" title="SPGRCONTAINER ::">
                        <span class="description"></span><pre>SPGRCONTAINER</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_SPLITMENUCOLORS" title="SPLITMENUCOLORS ::">
                        <span class="description"></span><pre>SPLITMENUCOLORS</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_TERTIARYOPT" title="TERTIARYOPT ::">
                        <span class="description"></span><pre>TERTIARYOPT</pre>
                    </a>
                </li>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>Escher</h1>
                <small style="display: block; text-align: right">                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method___construct"></a>
                        <div class="element clickable methodpublic method___construct" data-toggle="collapse" data-target=".method___construct .collapse">
                            <h2>Create a new Escher instance.</h2>
                            <pre>__construct(mixed $object)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$object</h4>
                                                <code>mixed</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_load"></a>
                        <div class="element clickable methodpublic method_load" data-toggle="collapse" data-target=".method_load .collapse">
                            <h2>Load Escher stream data. May be a partial Escher stream.</h2>
                            <pre>load(string $data): \PhpOffice\PhpSpreadsheet\Shared\Escher\DggContainer\BstoreContainer\BSE|\PhpOffice\PhpSpreadsheet\Shared\Escher\DggContainer\BstoreContainer|\PhpOffice\PhpSpreadsheet\Shared\Escher\DgContainer|\PhpOffice\PhpSpreadsheet\Shared\Escher\DggContainer|\PhpOffice\PhpSpreadsheet\Shared\Escher|\PhpOffice\PhpSpreadsheet\Shared\Escher\DgContainer\SpgrContainer\SpContainer|\PhpOffice\PhpSpreadsheet\Shared\Escher\DgContainer\SpgrContainer</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$data</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Shared.Escher.DggContainer.BstoreContainer.BSE.html">\PhpOffice\PhpSpreadsheet\Shared\Escher\DggContainer\BstoreContainer\BSE</a>|<a href="../classes/PhpOffice.PhpSpreadsheet.Shared.Escher.DggContainer.BstoreContainer.html">\PhpOffice\PhpSpreadsheet\Shared\Escher\DggContainer\BstoreContainer</a>|<a href="../classes/PhpOffice.PhpSpreadsheet.Shared.Escher.DgContainer.html">\PhpOffice\PhpSpreadsheet\Shared\Escher\DgContainer</a>|<a href="../classes/PhpOffice.PhpSpreadsheet.Shared.Escher.DggContainer.html">\PhpOffice\PhpSpreadsheet\Shared\Escher\DggContainer</a>|<a href="../classes/PhpOffice.PhpSpreadsheet.Shared.Escher.html">\PhpOffice\PhpSpreadsheet\Shared\Escher</a>|<a href="../classes/PhpOffice.PhpSpreadsheet.Shared.Escher.DgContainer.SpgrContainer.SpContainer.html">\PhpOffice\PhpSpreadsheet\Shared\Escher\DgContainer\SpgrContainer\SpContainer</a>|<a href="../classes/PhpOffice.PhpSpreadsheet.Shared.Escher.DgContainer.SpgrContainer.html">\PhpOffice\PhpSpreadsheet\Shared\Escher\DgContainer\SpgrContainer</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_readBlipJPEG"></a>
                        <div class="element clickable methodprivate method_readBlipJPEG" data-toggle="collapse" data-target=".method_readBlipJPEG .collapse">
                            <h2>Read BlipJPEG record. Holds raw JPEG image data.</h2>
                            <pre>readBlipJPEG()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_readBlipPNG"></a>
                        <div class="element clickable methodprivate method_readBlipPNG" data-toggle="collapse" data-target=".method_readBlipPNG .collapse">
                            <h2>Read BlipPNG record. Holds raw PNG image data.</h2>
                            <pre>readBlipPNG()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_readBSE"></a>
                        <div class="element clickable methodprivate method_readBSE" data-toggle="collapse" data-target=".method_readBSE .collapse">
                            <h2>Read BSE record.</h2>
                            <pre>readBSE()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_readBstoreContainer"></a>
                        <div class="element clickable methodprivate method_readBstoreContainer" data-toggle="collapse" data-target=".method_readBstoreContainer .collapse">
                            <h2>Read BstoreContainer record (Blip Store Container).</h2>
                            <pre>readBstoreContainer()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_readClientAnchor"></a>
                        <div class="element clickable methodprivate method_readClientAnchor" data-toggle="collapse" data-target=".method_readClientAnchor .collapse">
                            <h2>Read ClientAnchor record. This record holds information about where the shape is anchored in worksheet.</h2>
                            <pre>readClientAnchor()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_readClientData"></a>
                        <div class="element clickable methodprivate method_readClientData" data-toggle="collapse" data-target=".method_readClientData .collapse">
                            <h2>Read ClientData record.</h2>
                            <pre>readClientData()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_readClientTextbox"></a>
                        <div class="element clickable methodprivate method_readClientTextbox" data-toggle="collapse" data-target=".method_readClientTextbox .collapse">
                            <h2>Read ClientTextbox record.</h2>
                            <pre>readClientTextbox()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_readDefault"></a>
                        <div class="element clickable methodprivate method_readDefault" data-toggle="collapse" data-target=".method_readDefault .collapse">
                            <h2>Read a generic record.</h2>
                            <pre>readDefault()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_readDg"></a>
                        <div class="element clickable methodprivate method_readDg" data-toggle="collapse" data-target=".method_readDg .collapse">
                            <h2>Read Dg record (Drawing).</h2>
                            <pre>readDg()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_readDgContainer"></a>
                        <div class="element clickable methodprivate method_readDgContainer" data-toggle="collapse" data-target=".method_readDgContainer .collapse">
                            <h2>Read DgContainer record (Drawing Container).</h2>
                            <pre>readDgContainer()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_readDgg"></a>
                        <div class="element clickable methodprivate method_readDgg" data-toggle="collapse" data-target=".method_readDgg .collapse">
                            <h2>Read Dgg record (Drawing Group).</h2>
                            <pre>readDgg()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_readDggContainer"></a>
                        <div class="element clickable methodprivate method_readDggContainer" data-toggle="collapse" data-target=".method_readDggContainer .collapse">
                            <h2>Read DggContainer record (Drawing Group Container).</h2>
                            <pre>readDggContainer()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_readOfficeArtRGFOPTE"></a>
                        <div class="element clickable methodprivate method_readOfficeArtRGFOPTE" data-toggle="collapse" data-target=".method_readOfficeArtRGFOPTE .collapse">
                            <h2>Read OfficeArtRGFOPTE table of property-value pairs.</h2>
                            <pre>readOfficeArtRGFOPTE(string $data,integer $n)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$data</h4>
                                                <code>string</code><p><p>Binary data</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$n</h4>
                                                <code>integer</code><p><p>Number of properties</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_readOPT"></a>
                        <div class="element clickable methodprivate method_readOPT" data-toggle="collapse" data-target=".method_readOPT .collapse">
                            <h2>Read OPT record. This record may occur within DggContainer record or SpContainer.</h2>
                            <pre>readOPT()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_readSp"></a>
                        <div class="element clickable methodprivate method_readSp" data-toggle="collapse" data-target=".method_readSp .collapse">
                            <h2>Read Sp record (Shape).</h2>
                            <pre>readSp()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_readSpContainer"></a>
                        <div class="element clickable methodprivate method_readSpContainer" data-toggle="collapse" data-target=".method_readSpContainer .collapse">
                            <h2>Read SpContainer record (Shape Container).</h2>
                            <pre>readSpContainer()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_readSpgr"></a>
                        <div class="element clickable methodprivate method_readSpgr" data-toggle="collapse" data-target=".method_readSpgr .collapse">
                            <h2>Read Spgr record (Shape Group).</h2>
                            <pre>readSpgr()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_readSpgrContainer"></a>
                        <div class="element clickable methodprivate method_readSpgrContainer" data-toggle="collapse" data-target=".method_readSpgrContainer .collapse">
                            <h2>Read SpgrContainer record (Shape Group Container).</h2>
                            <pre>readSpgrContainer()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_readSplitMenuColors"></a>
                        <div class="element clickable methodprivate method_readSplitMenuColors" data-toggle="collapse" data-target=".method_readSplitMenuColors .collapse">
                            <h2>Read SplitMenuColors record.</h2>
                            <pre>readSplitMenuColors()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_readTertiaryOPT"></a>
                        <div class="element clickable methodprivate method_readTertiaryOPT" data-toggle="collapse" data-target=".method_readTertiaryOPT .collapse">
                            <h2>Read TertiaryOPT record.</h2>
                            <pre>readTertiaryOPT()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-constant"></i> Constants</h3>                            <a id="constant_DGGCONTAINER"> </a>
                            <div class="element clickable constant constant_DGGCONTAINER" data-toggle="collapse" data-target=".constant_DGGCONTAINER .collapse">
                                <h2>DGGCONTAINER</h2>
                                <pre>DGGCONTAINER</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_BSTORECONTAINER"> </a>
                            <div class="element clickable constant constant_BSTORECONTAINER" data-toggle="collapse" data-target=".constant_BSTORECONTAINER .collapse">
                                <h2>BSTORECONTAINER</h2>
                                <pre>BSTORECONTAINER</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_DGCONTAINER"> </a>
                            <div class="element clickable constant constant_DGCONTAINER" data-toggle="collapse" data-target=".constant_DGCONTAINER .collapse">
                                <h2>DGCONTAINER</h2>
                                <pre>DGCONTAINER</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_SPGRCONTAINER"> </a>
                            <div class="element clickable constant constant_SPGRCONTAINER" data-toggle="collapse" data-target=".constant_SPGRCONTAINER .collapse">
                                <h2>SPGRCONTAINER</h2>
                                <pre>SPGRCONTAINER</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_SPCONTAINER"> </a>
                            <div class="element clickable constant constant_SPCONTAINER" data-toggle="collapse" data-target=".constant_SPCONTAINER .collapse">
                                <h2>SPCONTAINER</h2>
                                <pre>SPCONTAINER</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_DGG"> </a>
                            <div class="element clickable constant constant_DGG" data-toggle="collapse" data-target=".constant_DGG .collapse">
                                <h2>DGG</h2>
                                <pre>DGG</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_BSE"> </a>
                            <div class="element clickable constant constant_BSE" data-toggle="collapse" data-target=".constant_BSE .collapse">
                                <h2>BSE</h2>
                                <pre>BSE</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_DG"> </a>
                            <div class="element clickable constant constant_DG" data-toggle="collapse" data-target=".constant_DG .collapse">
                                <h2>DG</h2>
                                <pre>DG</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_SPGR"> </a>
                            <div class="element clickable constant constant_SPGR" data-toggle="collapse" data-target=".constant_SPGR .collapse">
                                <h2>SPGR</h2>
                                <pre>SPGR</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_SP"> </a>
                            <div class="element clickable constant constant_SP" data-toggle="collapse" data-target=".constant_SP .collapse">
                                <h2>SP</h2>
                                <pre>SP</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_OPT"> </a>
                            <div class="element clickable constant constant_OPT" data-toggle="collapse" data-target=".constant_OPT .collapse">
                                <h2>OPT</h2>
                                <pre>OPT</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_CLIENTTEXTBOX"> </a>
                            <div class="element clickable constant constant_CLIENTTEXTBOX" data-toggle="collapse" data-target=".constant_CLIENTTEXTBOX .collapse">
                                <h2>CLIENTTEXTBOX</h2>
                                <pre>CLIENTTEXTBOX</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_CLIENTANCHOR"> </a>
                            <div class="element clickable constant constant_CLIENTANCHOR" data-toggle="collapse" data-target=".constant_CLIENTANCHOR .collapse">
                                <h2>CLIENTANCHOR</h2>
                                <pre>CLIENTANCHOR</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_CLIENTDATA"> </a>
                            <div class="element clickable constant constant_CLIENTDATA" data-toggle="collapse" data-target=".constant_CLIENTDATA .collapse">
                                <h2>CLIENTDATA</h2>
                                <pre>CLIENTDATA</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_BLIPJPEG"> </a>
                            <div class="element clickable constant constant_BLIPJPEG" data-toggle="collapse" data-target=".constant_BLIPJPEG .collapse">
                                <h2>BLIPJPEG</h2>
                                <pre>BLIPJPEG</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_BLIPPNG"> </a>
                            <div class="element clickable constant constant_BLIPPNG" data-toggle="collapse" data-target=".constant_BLIPPNG .collapse">
                                <h2>BLIPPNG</h2>
                                <pre>BLIPPNG</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_SPLITMENUCOLORS"> </a>
                            <div class="element clickable constant constant_SPLITMENUCOLORS" data-toggle="collapse" data-target=".constant_SPLITMENUCOLORS .collapse">
                                <h2>SPLITMENUCOLORS</h2>
                                <pre>SPLITMENUCOLORS</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_TERTIARYOPT"> </a>
                            <div class="element clickable constant constant_TERTIARYOPT" data-toggle="collapse" data-target=".constant_TERTIARYOPT .collapse">
                                <h2>TERTIARYOPT</h2>
                                <pre>TERTIARYOPT</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_data"> </a>
                            <div class="element clickable propertyprivate property_data" data-toggle="collapse" data-target=".property_data .collapse">
                                <h2>Escher stream data (binary).</h2>
                                <pre>data :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_dataSize"> </a>
                            <div class="element clickable propertyprivate property_dataSize" data-toggle="collapse" data-target=".property_dataSize .collapse">
                                <h2>Size in bytes of the Escher stream data.</h2>
                                <pre>dataSize :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_pos"> </a>
                            <div class="element clickable propertyprivate property_pos" data-toggle="collapse" data-target=".property_pos .collapse">
                                <h2>Current position of stream pointer in Escher stream data.</h2>
                                <pre>pos :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_object"> </a>
                            <div class="element clickable propertyprivate property_object" data-toggle="collapse" data-target=".property_object .collapse">
                                <h2>The object to be returned by the reader. Modified during load.</h2>
                                <pre>object :\PhpOffice\PhpSpreadsheet\Shared\Escher\DggContainer\BstoreContainer\BSE|\PhpOffice\PhpSpreadsheet\Shared\Escher\DggContainer\BstoreContainer|\PhpOffice\PhpSpreadsheet\Shared\Escher\DgContainer|\PhpOffice\PhpSpreadsheet\Shared\Escher\DggContainer|\PhpOffice\PhpSpreadsheet\Shared\Escher|\PhpOffice\PhpSpreadsheet\Shared\Escher\DgContainer\SpgrContainer\SpContainer|\PhpOffice\PhpSpreadsheet\Shared\Escher\DgContainer\SpgrContainer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code><a href="../classes/PhpOffice.PhpSpreadsheet.Shared.Escher.DggContainer.BstoreContainer.BSE.html">\PhpOffice\PhpSpreadsheet\Shared\Escher\DggContainer\BstoreContainer\BSE</a>|<a href="../classes/PhpOffice.PhpSpreadsheet.Shared.Escher.DggContainer.BstoreContainer.html">\PhpOffice\PhpSpreadsheet\Shared\Escher\DggContainer\BstoreContainer</a>|<a href="../classes/PhpOffice.PhpSpreadsheet.Shared.Escher.DgContainer.html">\PhpOffice\PhpSpreadsheet\Shared\Escher\DgContainer</a>|<a href="../classes/PhpOffice.PhpSpreadsheet.Shared.Escher.DggContainer.html">\PhpOffice\PhpSpreadsheet\Shared\Escher\DggContainer</a>|<a href="../classes/PhpOffice.PhpSpreadsheet.Shared.Escher.html">\PhpOffice\PhpSpreadsheet\Shared\Escher</a>|<a href="../classes/PhpOffice.PhpSpreadsheet.Shared.Escher.DgContainer.SpgrContainer.SpContainer.html">\PhpOffice\PhpSpreadsheet\Shared\Escher\DgContainer\SpgrContainer\SpContainer</a>|<a href="../classes/PhpOffice.PhpSpreadsheet.Shared.Escher.DgContainer.SpgrContainer.html">\PhpOffice\PhpSpreadsheet\Shared\Escher\DgContainer\SpgrContainer</a></code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Reader\Xls\Escher"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Reader.Xls.html">Xls</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Reader.Xls.Escher.html">Escher</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:55 +0000.<br/>
    </footer></body>
</html>
